Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util.random
Class NguyenWidrowRandomizer

    java.lang.Object
      org.neuroph.util.random.WeightsRandomizer
          org.neuroph.util.random.RangeRandomizer
              org.neuroph.util.random.NguyenWidrowRandomizer

    public class NguyenWidrowRandomizer

extends RangeRandomizer

This class provides NguyenWidrow randmization technique, which gives very good results for Multi Layer Perceptrons trained with back propagation family of learning rules. Based on NguyenWidrowRandomizer from Encog

Author:
  Zoran Sevarac

Field Summary

Fields inherited from class org.neuroph.util.random.RangeRandomizer
`max, min`

Fields inherited from class org.neuroph.util.random.WeightsRandomizer
`randomGenerator`

Constructor Summary
`NguyenWidrowRandomizer(double min, double max)`

Method Summary
`void` | `randomize(NeuralNetwork neuralNetwork)` Iterate all layers, neurons and connections in network, and randomize connection weights

Methods inherited from class org.neuroph.util.random.RangeRandomizer
`nextRandomWeight`

Methods inherited from class org.neuroph.util.random.WeightsRandomizer
`getRandomGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NguyenWidrowRandomizer

    public NguyenWidrowRandomizer(double min,
                                  double max)

Method Detail

### randomize

    public void randomize(NeuralNetwork neuralNetwork)

  Description copied from class: `WeightsRandomizer`
  Iterate all layers, neurons and connections in network, and randomize connection weights

  Overrides:
    `randomize` in class `WeightsRandomizer`
  Parameters:
    `neuralNetwork` - neural network to randomize

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.